addpath(genpath(fileparts(mfilename('fullpath'))));

v = ver;
IFMAnalyser_env.curveFitTool = 0;
for k=1:length(v)
    if strfind(v(k).Name, 'Curve Fitting Toolbox')
        IFMAnalyser_env.curveFitTool = str2double((sprintf( v(k).Version)));
    end
    if strfind(v(k).Name, 'MATLAB')
        IFMAnalyser_env.matlabVer = str2double((sprintf( v(k).Version)));
        if IFMAnalyser_env.matlabVer < 9.5
            disp('MATLAB version unsatisfied');
            disp('Mathworks MATLAB R2018b or newer is required!');
        else
            disp('Mathworks MATLAB R2018b or newer is detected.');
        end
    end
end

if IFMAnalyser_env.curveFitTool <= 0
    disp('There is no Curve Fitting Toolbox installed!');
    disp('Quantification of double line structures is not possible.');
end

clear k;
clear v;